Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.update
Class UpdateChecker

    java.lang.Object
      com.install4j.api.update.UpdateChecker

    public class UpdateChecker

extends java.lang.Object

Utility class to download an update descriptor programatically from a given URL. In an installer application, is is recommended to use the "Check for update" action instead. This class is mainly intended for checking for updates in your application.

In order to use this class in your application, please include `resource/i4jruntime.jar` from your install4j installation into your class path. You do not need to distribute this file along with your application, install4j will do this automatically for you.

Author:
  ej-technologies GmbH
See Also:
  `UpdateDescriptor`

Constructor Summary
`UpdateChecker()`

Method Summary
`static UpdateDescriptor` | `getUpdateDescriptor(java.lang.String urlSpec, ApplicationDisplayMode displayMode)` Download an `updates.xml` file programatically from a given URL and returns an `UpdateDescriptor` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateChecker

    public UpdateChecker()

Method Detail

### getUpdateDescriptor

    public static UpdateDescriptor getUpdateDescriptor(java.lang.String urlSpec,
                                                       ApplicationDisplayMode displayMode)
                                                throws UserCanceledException,
                                                       java.io.IOException

  Download an `updates.xml` file programatically from a given URL and returns an `UpdateDescriptor` instance.

  Parameters:
    `urlSpec` - the URL from which the `updates.xml` file can be downloaded.
    `displayMode` - the display mode that should be used if proxy information should be required
  Returns:
    the update descriptor
  Throws:
    `UserCanceledException` - if the user cancels the proxy dialog
    `java.io.IOException` - if the download fails

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD